Update project settings
curl --request PATCH \
--url https://api.qonversion.io/v4/project-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_name": "<string>",
"proxy_url": "<string>",
"rtdn_proxy_url": "<string>"
}
'import requests
url = "https://api.qonversion.io/v4/project-settings"
payload = {
"project_name": "<string>",
"proxy_url": "<string>",
"rtdn_proxy_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_name: '<string>', proxy_url: '<string>', rtdn_proxy_url: '<string>'})
};
fetch('https://api.qonversion.io/v4/project-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qonversion.io/v4/project-settings"
payload := strings.NewReader("{\n \"project_name\": \"<string>\",\n \"proxy_url\": \"<string>\",\n \"rtdn_proxy_url\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.qonversion.io/v4/project-settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"project_name\": \"<string>\",\n \"proxy_url\": \"<string>\",\n \"rtdn_proxy_url\": \"<string>\"\n}")
.asString();{
"object": "project_settings",
"url": "/v4/project-settings",
"project_name": "My App",
"access_token": "<string>",
"api_key": "<string>",
"secret_key": "<string>",
"proxy_url": "<string>",
"rtdn_proxy_url": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Project Settings
Update project settings
Partially updates the project settings. Only provided fields are changed.
PATCH
/
project-settings
Update project settings
Authorizations
Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.
Body
application/json
Response
Updated project settings.
Available options:
project_settings Example:
"/v4/project-settings"
Project display name.
Example:
"My App"
Project access token.
Project API key.
Project secret key.
Custom proxy URL.
RTDN proxy URL.
⌘I